|  | Home

# QtButtonPropertyBrowser Class Reference

The QtButtonPropertyBrowser class provides a drop down QToolButton based property browser. More...

     #include <QtButtonPropertyBrowser>

Inherits QtAbstractPropertyBrowser.

- List of all members, including inherited members

### Public Functions

- QtButtonPropertyBrowser ( QWidget * parent = 0 )
- ~QtButtonPropertyBrowser ()
- bool isExpanded ( QtBrowserItem * item ) const
- void setExpanded ( QtBrowserItem * item, bool expanded )

- 9 public functions inherited from QtAbstractPropertyBrowser
- 206 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Signals

- void collapsed ( QtBrowserItem * item )
- void expanded ( QtBrowserItem * item )

- 1 signal inherited from QtAbstractPropertyBrowser
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Additional Inherited Members

- 57 properties inherited from QWidget
- 1 property inherited from QObject
- 3 public slots inherited from QtAbstractPropertyBrowser
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 4 protected functions inherited from QtAbstractPropertyBrowser
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget
- 2 protected variables inherited from QObject
- 1 protected type inherited from QPaintDevice

## Detailed Description

The QtButtonPropertyBrowser class provides a drop down QToolButton based property browser.

A property browser is a widget that enables the user to edit a given set of properties. Each property is represented by a label specifying the property's name, and an editing widget (e.g. a line edit or a combobox) holding its value. A property can have zero or more subproperties.

QtButtonPropertyBrowser provides drop down button for all nested properties, i.e. subproperties are enclosed by a container associated with the drop down button. The parent property's name is displayed as button text. For example:

Use the QtAbstractPropertyBrowser API to add, insert and remove properties from an instance of the QtButtonPropertyBrowser class. The properties themselves are created and managed by implementations of the QtAbstractPropertyManager class.

See also QtTreePropertyBrowser and QtAbstractPropertyBrowser.

## Member Function Documentation

### QtButtonPropertyBrowser::QtButtonPropertyBrowser ( QWidget * parent = 0 )

Creates a property browser with the given parent.

### QtButtonPropertyBrowser::~QtButtonPropertyBrowser ()

Destroys this property browser.

Note that the properties that were inserted into this browser are not destroyed since they may still be used in other browsers. The properties are owned by the manager that created them.

See also QtProperty and QtAbstractPropertyManager.

### void QtButtonPropertyBrowser::collapsed ( QtBrowserItem * item ) `[signal]`

This signal is emitted when the item is collapsed.

See also expanded() and setExpanded().

### void QtButtonPropertyBrowser::expanded ( QtBrowserItem * item ) `[signal]`

This signal is emitted when the item is expanded.

See also collapsed() and setExpanded().

### bool QtButtonPropertyBrowser::isExpanded ( QtBrowserItem * item ) const

Returns true if the item is expanded; otherwise returns false.

See also setExpanded().

### void QtButtonPropertyBrowser::setExpanded ( QtBrowserItem * item, bool expanded )

Sets the item to either collapse or expanded, depending on the value of expanded.

See also isExpanded(), expanded(), and collapsed().